[mythtv-users] [old] Re: XvMC and libmpeg2 to be dropped in 0.25

Jim Morton Jim at Morton.hrcoxmail.com
Wed Feb 9 16:05:25 UTC 2011

On 2/9/2011 10:19 AM, Svend Høst wrote:
> I'm not a myth developer myself, only a developer. In my prof. life i 
> did a client/server application where the server was backwards 
> compatible with clients from first release, also in the fourth 
> release. Off course the client's only knew off functionality that 
> there was present with there corresponding release.
> I'm not sure what the diffs are in the protocol between .24 and .25, 
> and maybe there is a valid reason for being rigid (using Brians 
> words). But chances are that if this was a key issue for the 
> developers, they could make it work.
> Off course it is more difficult to go the other way around with older 
> servers and newer clients, but making a newer server understand an 
> older client is feasible in many projecs.
The issue is that the client reads and writes the server db directly. 
Therefore an older version client cannot possibly deal with a newer 
version db until that client is also updated.

Even if the devs worked out a way to accomodate support for 1 or 2 prior 
versions, someone would expect support for 3 or 4 prior versions.


  Jim Morton

More information about the mythtv-users mailing list